> For the complete documentation index, see [llms.txt](https://docs.wisej.com/hybrid/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/hybrid/start/api/hardware/wisej.hybrid.shared.battery.batterypowersource.md).

# BatteryPowerSource

Namespace: **Wisej.Hybrid.Shared.Battery**

Assembly: **Wisej.Hybrid** (3.5.0.0)

Enumerates power sources with which the device and battery can be powered or charged.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum BatteryPowerSource : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum BatteryPowerSource As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name         | Description                                                     |
| ------------ | --------------------------------------------------------------- |
| **AC**       | Power source is an AC Charger.                                  |
| **Battery**  | Power source is the battery and is currently not being charged. |
| **Unknown**  | Power source can not be determined.                             |
| **Usb**      | Power source is a USB port.                                     |
| **Wireless** | Power source is wireless.                                       |

## Used By

| Name                                                                                                      | Description                                                             |
| --------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------- |
| [DeviceBatteryInfo.PowerSource](/hybrid/start/api/hardware/wisej.hybrid.devicebatteryinfo.md#powersource) | Gets how the device and battery are currently being powered or charged. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/hardware/wisej.hybrid.shared.battery.batterypowersource.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
